org.eclipse.viatra.query.patternlanguage.emf.util

## Class AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.util.AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder

- Enclosing class:
    AdvancedPatternParsingResults

      public static class AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvancedPatternParsingResultsBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addAddedSpecification(org.eclipse.emf.common.util.URI uri, IQuerySpecification<?> spec)`
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addAddedSpecifications(org.eclipse.emf.common.util.URI uri, java.util.Collection<IQuerySpecification<?>> specs)`
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addImpactedSpecification(org.eclipse.emf.common.util.URI uri, IQuerySpecification<?> spec)`
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addImpactedSpecifications(org.eclipse.emf.common.util.URI uri, java.util.Collection<IQuerySpecification<?>> specs)`
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addRemovedSpecification(org.eclipse.emf.common.util.URI uri, IQuerySpecification<?> spec)`
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addRemovedSpecifications(org.eclipse.emf.common.util.URI uri, java.util.Collection<IQuerySpecification<?>> specs)`
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addUnaffectedSpecification(org.eclipse.emf.common.util.URI uri, IQuerySpecification<?> spec)`
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addUnaffectedSpecifications(org.eclipse.emf.common.util.URI uri, java.util.Collection<IQuerySpecification<?>> specs)`
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addUpdatedSpecification(org.eclipse.emf.common.util.URI uri, IQuerySpecification<?> spec)`
    `AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder` | `addUpdatedSpecifications(org.eclipse.emf.common.util.URI uri, java.util.Collection<IQuerySpecification<?>> specs)`
    `AdvancedPatternParsingResults` | `build()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvancedPatternParsingResultsBuilder

          public AdvancedPatternParsingResultsBuilder()

  - ### Method Detail

    - #### addAddedSpecification

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addAddedSpecification(org.eclipse.emf.common.util.URI uri,
                                                                                                          IQuerySpecification<?> spec)

    - #### addAddedSpecifications

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addAddedSpecifications(org.eclipse.emf.common.util.URI uri,
                                                                                                           java.util.Collection<IQuerySpecification<?>> specs)

    - #### addRemovedSpecification

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addRemovedSpecification(org.eclipse.emf.common.util.URI uri,
                                                                                                            IQuerySpecification<?> spec)

    - #### addRemovedSpecifications

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addRemovedSpecifications(org.eclipse.emf.common.util.URI uri,
                                                                                                             java.util.Collection<IQuerySpecification<?>> specs)

    - #### addUpdatedSpecification

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addUpdatedSpecification(org.eclipse.emf.common.util.URI uri,
                                                                                                            IQuerySpecification<?> spec)

    - #### addUpdatedSpecifications

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addUpdatedSpecifications(org.eclipse.emf.common.util.URI uri,
                                                                                                             java.util.Collection<IQuerySpecification<?>> specs)

    - #### addImpactedSpecification

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addImpactedSpecification(org.eclipse.emf.common.util.URI uri,
                                                                                                             IQuerySpecification<?> spec)

    - #### addImpactedSpecifications

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addImpactedSpecifications(org.eclipse.emf.common.util.URI uri,
                                                                                                              java.util.Collection<IQuerySpecification<?>> specs)

    - #### addUnaffectedSpecification

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addUnaffectedSpecification(org.eclipse.emf.common.util.URI uri,
                                                                                                               IQuerySpecification<?> spec)

    - #### addUnaffectedSpecifications

          public AdvancedPatternParsingResults.AdvancedPatternParsingResultsBuilder addUnaffectedSpecifications(org.eclipse.emf.common.util.URI uri,
                                                                                                                java.util.Collection<IQuerySpecification<?>> specs)

    - #### build

          public AdvancedPatternParsingResults build()